/*
 *	Rasmac.c 	- RAS routine definition for the Macintosh
 *
 */

#include <Windows.h>

#include "rr.h"
#include "vr.h"
#include "rg2.h"
#include "vrrgmac.h"

/*
 *	RasWindow( w) - create a window to spec
 */
int MacRGnewwindow();

int RasWindow
  (
	VRW	*w
  )
{
	int ret;
	
	RGsetdevice(1);
	if (0 <= (ret = MacRGnewwindow( w->w_name, w->w_left, w->w_top,
					w->w_left+w->w_width, w->w_top+w->w_height )))
		MacRGsetwindow( ret);

	w->w_rr.wn = ret;

	return(ret);
}

void RasDestroy
  (
	VRW	*w
  )
{
	MacRGremove( w->w_rr.wn);
}

int RasSetwind
  (
	VRW	*w
  )
{

	if (w->w_rr.wn < 0)
		return(-1);
		
	MacRGsetwindow( w->w_rr.wn);
	
	return(0);
}
