/* NCSA: definitions of the alias structures that are used to store
		alias data in */

struct AliasRecord		/* the record format for each alias */
	{
	char	name[64];
	long 	port;
	char 	alias[64];
	};
	
typedef struct AliasRecord AliasRecord;		/* prevent MPW from whining about type errors */



struct AliasRez				/* the actual resource format that I am using */
	{
	short 	number;
	AliasRecord	aliases[1];
	};


typedef struct AliasRez AliasRez;	/* shut up */


/* NCSA: here's some function definitions so that MPW will be happy... */

int GetDataFromAlias (char *theName, AliasRecord *theRecord);
void DeleteAlias (short theNumber, AliasRez **hAlias);
void DoAlias (void);
AliasRez **GetAlias(void);
