/*

rgnull.c by Aaron Contorer for NCSA
Copyright 1987, board of trustees, University of Illinois

routines for "null" device -- calling these routines
	has no effect, but they are compatible with all RG calls.

*/

#include <stdio.h>

static char *nullname = "Null device -- do not display output";

int RG0newwin()
{
	return(0);
}

RG0clrscr(w)
  {
#pragma unused(w)
  }

RG0close(w)
  {
#pragma unused(w)
  }

RG0point(w,x,y)
  {
#pragma unused(w, x, y)
  }

RG0drawline(w,a,b,c,d)
  {
#pragma unused(w, a, b, c, d)
  }

RG0pagedone(w)
  {
#pragma unused(w)
  }

RG0dataline(w,data,count)
  {
#pragma unused(w, data, count)
  }

RG0pencolor(w,color)
  {
#pragma unused(w, color)
  }

RG0charmode(w,rotation,size)
  {
#pragma unused(w, rotation, size)
  }

RG0showcur()
  {
  }

RG0lockcur()
  {
  }

RG0hidecur()
  {
  }

RG0bell(w)
  {
#pragma unused(w)
  }


char *RG0devname()
  {
	return(nullname);
  }

RG0uncover(w)
  {
#pragma unused(w)
  }

RG0init()
  {
  }

RG0info(w,a,b,c,d,v)
  {
#pragma unused(w, a, b, c, d, v)
  }

RG0gmode()
  {
  }

RG0tmode()
  {
  }
